package eu.jonahbauer.raytracing.math;

import org.jetbrains.annotations.NotNull;

public record BoundingBox(@NotNull Vec3 min, @NotNull Vec3 max) {

    public @NotNull Vec3 center() {
        return Vec3.average(min, max, 2);
    }
}
